MHDRWWTEXEC(1)

NAME
mHdrWWTExec - None

SYNOPSIS
mHdrWWTExec [-d level] tileLevel hdrDir

DESCRIPTION
Runs mHdrWWT to create all the header template file needed for WWT TOAST tiles down to a specified level.

OPTIONS

-d level
    Turns on debugging to the specified level

ARGUMENTS

tileLevel
    The depth to which the tiles are created. Level 0 is just produces the all-sky header, 1 is that plus the four main quadrants, etc.. Level 4 produces files like "tile3102.hdr".

hdrDir
    Output directory for the header files.

RESULT
The set of header files.

MESSAGES

OK  [struct stat="OK", level=n, nheader=nheader]

ERROR
    Problem creating output header directory.

ERROR
    Problem with output header directory.

ERROR
    [hdrDir] is not a directory.

ERROR
    mHdrWWT error message

EXAMPLES

$ mHdrWWTExec 4 hdrs
    [struct stat="OK", level=4, nheader=341]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.